classification
Title: tiger buildbot: test_abspath_issue3426 failure (test_genericpath.py)
Type: crash Stage: commit review
Components: Library (Lib), Tests Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: flox, vstinner
Priority: normal Keywords: buildbot

Created on 2010-04-16 16:31 by vstinner, last changed 2010-05-13 16:26 by vstinner. This issue is now closed.

Messages (5)
msg103338 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2010-04-16 16:31
http://www.python.org/dev/buildbot/3.x/builders/x86 Tiger 3.x/builds/6/steps/test/logs/stdio

test test_ntpath failed -- Traceback (most recent call last):
  File "/Users/db3l/buildarea/3.x.bolen-tiger/build/Lib/test/test_genericpath.py", line 288, in test_abspath_issue3426
    with support.temp_cwd(b'\xe7w\xf0'):
  File "/Users/db3l/buildarea/3.x.bolen-tiger/build/Lib/contextlib.py", line 17, in __enter__
    return next(self.gen)
  File "/Users/db3l/buildarea/3.x.bolen-tiger/build/Lib/test/support.py", line 392, in temp_cwd
    os.mkdir(name)
OSError: [Errno 22] Invalid argument

As discussed on IRC: Mac OS X deny the creation of a directory with an invalid utf8 name. The test should be skipped on Mac OS X (sys.platform == 'darwin').
msg103468 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2010-04-18 08:02
See also #8423.
msg103471 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2010-04-18 08:25
Fixed by r80163: move the test to a new function and skip the function on Mac.
msg105632 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-05-13 13:15
afaict, it needs backport to 2.7.
msg105642 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2010-05-13 16:26
> afaict, it needs backport to 2.7.

Right: r81135 (and r81137).

Blocked on 2.6 (it doesn't have the non-ASCII path test): r81139.
History
Date User Action Args
2010-05-13 16:26:12vstinnersetstatus: open -> closed

messages: + msg105642
2010-05-13 13:15:49floxsetstatus: closed -> open

type: crash
components: + Tests
versions: + Python 2.7, - Python 3.2
nosy: + flox

messages: + msg105632
stage: commit review
2010-04-18 08:25:45vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg103471
2010-04-18 08:02:43vstinnersetmessages: + msg103468
2010-04-16 18:59:38loewissetkeywords: + buildbot
2010-04-16 16:31:24vstinnersetcomponents: + Library (Lib)
versions: + Python 3.2
2010-04-16 16:31:05vstinnercreate